<?php
if( !defined('ISDVBBS') ){
	header('HTTP/1.0 404 Not Found');
	exit;
}
?><!--<?php
if( $master || $uperboardmaster ):
	print <<<EOT
-->
<table cellPadding=0 cellSpacing=0 class="mainbox tableborder" align=center>
<tr><th colspan=2 height=25>{$lang['tpl.even.str1']}</th></tr>
<form action="infolist.php?t=even" method="post">
<tr><td class=tablebody1 width="*">&nbsp;{$lang['tpl.even.str2']}<Select Name="Boardid"></Select>
&nbsp;&nbsp;{$lang['tpl.even.str3']}<Input Type="text" Name="keyword" value="{$keyword}" Size="28">
&nbsp;{$lang['tpl.even.str4']}
</td></tr>
<tr><td class=tablebody2 width="100%" align=center><input type=submit class="button" value="{$lang['tpl.even.str5']}">
</td>
</tr></form>
</table>
<SCRIPT LANGUAGE="JavaScript">
BoardJumpListSelect('{$boardid}',"Boardid","{$lang['tpl.even.str6']}","",0)
</SCRIPT>
<br>
<!--
EOT;
endif;
print <<<EOT
-->

<!--论坛日志整页面-->
<!--顶部状态栏-->
<table cellspacing="0" cellpadding="0" align="center" class="mainbox tableborder">
<tr align="center">
<th width="15%" height="20" style="text-align:center;">{$lang['tpl.even.str7']}</th>
<th width="50%" id="tabletitlelink">{$lang['tpl.even.str8']}(<a href="infolist.php?t=even">{$lang['tpl.even.str9']}</a>)</td>
<th width="20%" id="tabletitlelink">{$lang['tpl.even.str10']}</td>
<th width="15%" style="text-align:center;" >{$lang['tpl.even.str11']}</td></tr>

<!--
EOT;
if( !empty($_infoList) ):
	if( is_array($_infoList) ):
		foreach( $_infoList as $val ):
			$username = htmlspecialchars($val['l_touser']);
			$content = htmlspecialchars($val['l_content']);
			$addtime = gmdate('Y-m-d H:i:s', $val['l_addtime']+getUserTimeZoneOffset());
			if( $isshow or get_cookie("username") == $val['l_username']){
				$postuser = '<a href="dispuser.php?name='.urlencode($val['l_username']).'" target="_blank">'.$val['l_username'].'</a>';
			} else{
				$postuser = $lang['tpl.even.str13'];
			}
			print <<<EOT
-->
<tr><td  align=center height=26><a href="dispuser.php?name={$username}" target="_blank">{$username}</a></td>
<td >{$content}</td>
<td >{$addtime}</td>
<td align=center class=tablebody5>{$postuser}</td>
</tr>
<!--
EOT;
		endforeach;
	endif;
else:
	print <<<EOT
-->
<!--日志无内容和循环部分-->
<tr><td class=tablebody1 colspan=4 height=25>{$lang['tpl.even.str12']}</td></tr>
<!--
EOT;
endif;
print <<<EOT
-->

<!--公共分页部分-->
<SCRIPT LANGUAGE="JavaScript">
<!--
var currentpage='{$page}';
var Pcount='{$Pcount}';
currentpage=Math.floor(currentpage);
Pcount=Math.floor(Pcount);
document.write ('</table>');
document.write ('<table border=0 cellpadding=0 cellspacing=0 class="mainbox" align=center>');
document.write ('<tr><td valign=middle height="25">');
document.write ('{$lang['tpl.topl.str19']}<b>'+currentpage+'</b>/<b>'+Pcount+'</b>{$lang['tpl.topl.str20']}');
document.write ('{$lang['tpl.topl.str21']}<b>{$pagelimited}</b> {$lang['tpl.topl.str22']}<b>{$listnum}</b>{$lang['tpl.topl.str23']}</td>');
document.write ('<td valign=middle nowrap><div align=right><p>{$lang['tpl.topl.str24']}');
var endpage;
if (currentpage>4)
{
	document.write ('<a href="?{$action}page=1&boardid={$boardid}&keyword={$keyword}">[1]</a> ...');
}
if (Pcount>currentpage+3)
{
	endpage=currentpage+3;
}else{
	endpage=Pcount;
}
for (i=currentpage-3;i<endpage+1 ;i++ )
{
	i=Math.floor(i);
	if (i>0)
	{
		if (i>currentpage || i<currentpage)
		{
			document.write (' <a href="?{$action}page='+i+'&boardid={$boardid}&keyword={$keyword}">['+i+']</a>&nbsp;')
		}
		else{
			document.write (' <b><font color=red>['+i+']</font></b>');
		}
	}
}
if (currentpage+3 < Pcount)
{
	document.write ('... <a href="?{$action}page='+Pcount+'&boardid={$boardid}&keyword={$keyword}">['+Pcount+']</a>');
}
document.write ('</font></td></tr>');
document.write ('</table></form>');
//-->
</SCRIPT>

<!--
EOT;
?>-->